Package com.databricks.jdbc.client.impl.thrift.generated

## Class TGetOperationStatusResp

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TGetOperationStatusResp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TGetOperationStatusResp>`, `org.apache.thrift.TBase<TGetOperationStatusResp,​TGetOperationStatusResp._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TGetOperationStatusResp
    extends Object
    implements org.apache.thrift.TBase<TGetOperationStatusResp,​TGetOperationStatusResp._Fields>, Serializable, Cloneable, Comparable<TGetOperationStatusResp>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TGetOperationStatusResp._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `diagnosticInfo`
`String` `displayMessage`
`int` `errorCode`
`String` `errorDetailsJson`
`String` `errorMessage`
`boolean` `hasResultSet`
`static Map<TGetOperationStatusResp._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `numModifiedRows`
`long` `operationCompleted`
`long` `operationStarted`
`TOperationState` `operationState`
`TProgressUpdateResp` `progressUpdateResponse`
`String` `sqlState`
`TStatus` `status`
`String` `taskStatus`

### Constructor Summary

Constructors
`TGetOperationStatusResp()`
`TGetOperationStatusResp​(TGetOperationStatusResp other)` Performs a deep copy on other.
`TGetOperationStatusResp​(TStatus status)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `clear()`
`int` `compareTo​(TGetOperationStatusResp other)`
`TGetOperationStatusResp` `deepCopy()`
`boolean` `equals​(TGetOperationStatusResp that)`
`boolean` `equals​(Object that)`
`TGetOperationStatusResp._Fields` `fieldForId​(int fieldId)`
`String` `getDiagnosticInfo()`
`String` `getDisplayMessage()`
`int` `getErrorCode()`
`String` `getErrorDetailsJson()`
`String` `getErrorMessage()` Deprecated.
`Object` `getFieldValue​(TGetOperationStatusResp._Fields field)`
`long` `getNumModifiedRows()`
`long` `getOperationCompleted()`
`long` `getOperationStarted()`
`TOperationState` `getOperationState()`
`TProgressUpdateResp` `getProgressUpdateResponse()`
`String` `getSqlState()`
`TStatus` `getStatus()`
`String` `getTaskStatus()`
`int` `hashCode()`
`boolean` `isHasResultSet()`
`boolean` `isSet​(TGetOperationStatusResp._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDiagnosticInfo()` Returns true if field diagnosticInfo is set (has been assigned a value) and false otherwise
`boolean` `isSetDisplayMessage()` Returns true if field displayMessage is set (has been assigned a value) and false otherwise
`boolean` `isSetErrorCode()` Returns true if field errorCode is set (has been assigned a value) and false otherwise
`boolean` `isSetErrorDetailsJson()` Returns true if field errorDetailsJson is set (has been assigned a value) and false otherwise
`boolean` `isSetErrorMessage()` Deprecated.
`boolean` `isSetHasResultSet()` Returns true if field hasResultSet is set (has been assigned a value) and false otherwise
`boolean` `isSetNumModifiedRows()` Returns true if field numModifiedRows is set (has been assigned a value) and false otherwise
`boolean` `isSetOperationCompleted()` Returns true if field operationCompleted is set (has been assigned a value) and false otherwise
`boolean` `isSetOperationStarted()` Returns true if field operationStarted is set (has been assigned a value) and false otherwise
`boolean` `isSetOperationState()` Returns true if field operationState is set (has been assigned a value) and false otherwise
`boolean` `isSetProgressUpdateResponse()` Returns true if field progressUpdateResponse is set (has been assigned a value) and false otherwise
`boolean` `isSetSqlState()` Returns true if field sqlState is set (has been assigned a value) and false otherwise
`boolean` `isSetStatus()` Returns true if field status is set (has been assigned a value) and false otherwise
`boolean` `isSetTaskStatus()` Returns true if field taskStatus is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TGetOperationStatusResp` `setDiagnosticInfo​(String diagnosticInfo)`
`void` `setDiagnosticInfoIsSet​(boolean value)`
`TGetOperationStatusResp` `setDisplayMessage​(String displayMessage)`
`void` `setDisplayMessageIsSet​(boolean value)`
`TGetOperationStatusResp` `setErrorCode​(int errorCode)`
`void` `setErrorCodeIsSet​(boolean value)`
`TGetOperationStatusResp` `setErrorDetailsJson​(String errorDetailsJson)`
`void` `setErrorDetailsJsonIsSet​(boolean value)`
`TGetOperationStatusResp` `setErrorMessage​(String errorMessage)` Deprecated.
`void` `setErrorMessageIsSet​(boolean value)` Deprecated.
`void` `setFieldValue​(TGetOperationStatusResp._Fields field, Object value)`
`TGetOperationStatusResp` `setHasResultSet​(boolean hasResultSet)`
`void` `setHasResultSetIsSet​(boolean value)`
`TGetOperationStatusResp` `setNumModifiedRows​(long numModifiedRows)`
`void` `setNumModifiedRowsIsSet​(boolean value)`
`TGetOperationStatusResp` `setOperationCompleted​(long operationCompleted)`
`void` `setOperationCompletedIsSet​(boolean value)`
`TGetOperationStatusResp` `setOperationStarted​(long operationStarted)`
`void` `setOperationStartedIsSet​(boolean value)`
`TGetOperationStatusResp` `setOperationState​(TOperationState operationState)`
`void` `setOperationStateIsSet​(boolean value)`
`TGetOperationStatusResp` `setProgressUpdateResponse​(TProgressUpdateResp progressUpdateResponse)`
`void` `setProgressUpdateResponseIsSet​(boolean value)`
`TGetOperationStatusResp` `setSqlState​(String sqlState)`
`void` `setSqlStateIsSet​(boolean value)`
`TGetOperationStatusResp` `setStatus​(TStatus status)`
`void` `setStatusIsSet​(boolean value)`
`TGetOperationStatusResp` `setTaskStatus​(String taskStatus)`
`void` `setTaskStatusIsSet​(boolean value)`
`String` `toString()`
`void` `unsetDiagnosticInfo()`
`void` `unsetDisplayMessage()`
`void` `unsetErrorCode()`
`void` `unsetErrorDetailsJson()`
`void` `unsetErrorMessage()` Deprecated.
`void` `unsetHasResultSet()`
`void` `unsetNumModifiedRows()`
`void` `unsetOperationCompleted()`
`void` `unsetOperationStarted()`
`void` `unsetOperationState()`
`void` `unsetProgressUpdateResponse()`
`void` `unsetSqlState()`
`void` `unsetStatus()`
`void` `unsetTaskStatus()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### status

    public TStatus status

#### operationState

    public TOperationState operationState

See Also:
  `TOperationState`

#### sqlState

    public String sqlState

#### errorCode

    public int errorCode

#### errorMessage

    public String errorMessage

#### taskStatus

    public String taskStatus

#### operationStarted

    public long operationStarted

#### operationCompleted

    public long operationCompleted

#### hasResultSet

    public boolean hasResultSet

#### progressUpdateResponse

    public TProgressUpdateResp progressUpdateResponse

#### numModifiedRows

    public long numModifiedRows

#### displayMessage

    public String displayMessage

#### diagnosticInfo

    public String diagnosticInfo

#### errorDetailsJson

    public String errorDetailsJson

#### metaDataMap

    public static final Map<TGetOperationStatusResp._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TGetOperationStatusResp

    public TGetOperationStatusResp()

#### TGetOperationStatusResp

    public TGetOperationStatusResp​(TStatus status)

#### TGetOperationStatusResp

    public TGetOperationStatusResp​(TGetOperationStatusResp other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TGetOperationStatusResp deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TGetOperationStatusResp,​TGetOperationStatusResp._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TGetOperationStatusResp,​TGetOperationStatusResp._Fields>`

#### getStatus

    public TStatus getStatus()

#### setStatus

    public TGetOperationStatusResp setStatus​(TStatus status)

#### unsetStatus

    public void unsetStatus()

#### isSetStatus

    public boolean isSetStatus()

Returns true if field status is set (has been assigned a value) and false otherwise

#### setStatusIsSet

    public void setStatusIsSet​(boolean value)

#### getOperationState

    public TOperationState getOperationState()

See Also:
  `TOperationState`

#### setOperationState

    public TGetOperationStatusResp setOperationState​(TOperationState operationState)

See Also:
  `TOperationState`

#### unsetOperationState

    public void unsetOperationState()

#### isSetOperationState

    public boolean isSetOperationState()

Returns true if field operationState is set (has been assigned a value) and false otherwise

#### setOperationStateIsSet

    public void setOperationStateIsSet​(boolean value)

#### getSqlState

    public String getSqlState()

#### setSqlState

    public TGetOperationStatusResp setSqlState​(String sqlState)

#### unsetSqlState

    public void unsetSqlState()

#### isSetSqlState

    public boolean isSetSqlState()

Returns true if field sqlState is set (has been assigned a value) and false otherwise

#### setSqlStateIsSet

    public void setSqlStateIsSet​(boolean value)

#### getErrorCode

    public int getErrorCode()

#### setErrorCode

    public TGetOperationStatusResp setErrorCode​(int errorCode)

#### unsetErrorCode

    public void unsetErrorCode()

#### isSetErrorCode

    public boolean isSetErrorCode()

Returns true if field errorCode is set (has been assigned a value) and false otherwise

#### setErrorCodeIsSet

    public void setErrorCodeIsSet​(boolean value)

#### getErrorMessage

    @Deprecated
    public String getErrorMessage()

Deprecated.

#### setErrorMessage

    @Deprecated
    public TGetOperationStatusResp setErrorMessage​(String errorMessage)

Deprecated.

#### unsetErrorMessage

    @Deprecated
    public void unsetErrorMessage()

Deprecated.

#### isSetErrorMessage

    @Deprecated
    public boolean isSetErrorMessage()

Deprecated.
Returns true if field errorMessage is set (has been assigned a value) and false otherwise

#### setErrorMessageIsSet

    @Deprecated
    public void setErrorMessageIsSet​(boolean value)

Deprecated.

#### getTaskStatus

    public String getTaskStatus()

#### setTaskStatus

    public TGetOperationStatusResp setTaskStatus​(String taskStatus)

#### unsetTaskStatus

    public void unsetTaskStatus()

#### isSetTaskStatus

    public boolean isSetTaskStatus()

Returns true if field taskStatus is set (has been assigned a value) and false otherwise

#### setTaskStatusIsSet

    public void setTaskStatusIsSet​(boolean value)

#### getOperationStarted

    public long getOperationStarted()

#### setOperationStarted

    public TGetOperationStatusResp setOperationStarted​(long operationStarted)

#### unsetOperationStarted

    public void unsetOperationStarted()

#### isSetOperationStarted

    public boolean isSetOperationStarted()

Returns true if field operationStarted is set (has been assigned a value) and false otherwise

#### setOperationStartedIsSet

    public void setOperationStartedIsSet​(boolean value)

#### getOperationCompleted

    public long getOperationCompleted()

#### setOperationCompleted

    public TGetOperationStatusResp setOperationCompleted​(long operationCompleted)

#### unsetOperationCompleted

    public void unsetOperationCompleted()

#### isSetOperationCompleted

    public boolean isSetOperationCompleted()

Returns true if field operationCompleted is set (has been assigned a value) and false otherwise

#### setOperationCompletedIsSet

    public void setOperationCompletedIsSet​(boolean value)

#### isHasResultSet

    public boolean isHasResultSet()

#### setHasResultSet

    public TGetOperationStatusResp setHasResultSet​(boolean hasResultSet)

#### unsetHasResultSet

    public void unsetHasResultSet()

#### isSetHasResultSet

    public boolean isSetHasResultSet()

Returns true if field hasResultSet is set (has been assigned a value) and false otherwise

#### setHasResultSetIsSet

    public void setHasResultSetIsSet​(boolean value)

#### getProgressUpdateResponse

    public TProgressUpdateResp getProgressUpdateResponse()

#### setProgressUpdateResponse

    public TGetOperationStatusResp setProgressUpdateResponse​(TProgressUpdateResp progressUpdateResponse)

#### unsetProgressUpdateResponse

    public void unsetProgressUpdateResponse()

#### isSetProgressUpdateResponse

    public boolean isSetProgressUpdateResponse()

Returns true if field progressUpdateResponse is set (has been assigned a value) and false otherwise

#### setProgressUpdateResponseIsSet

    public void setProgressUpdateResponseIsSet​(boolean value)

#### getNumModifiedRows

    public long getNumModifiedRows()

#### setNumModifiedRows

    public TGetOperationStatusResp setNumModifiedRows​(long numModifiedRows)

#### unsetNumModifiedRows

    public void unsetNumModifiedRows()

#### isSetNumModifiedRows

    public boolean isSetNumModifiedRows()

Returns true if field numModifiedRows is set (has been assigned a value) and false otherwise

#### setNumModifiedRowsIsSet

    public void setNumModifiedRowsIsSet​(boolean value)

#### getDisplayMessage

    public String getDisplayMessage()

#### setDisplayMessage

    public TGetOperationStatusResp setDisplayMessage​(String displayMessage)

#### unsetDisplayMessage

    public void unsetDisplayMessage()

#### isSetDisplayMessage

    public boolean isSetDisplayMessage()

Returns true if field displayMessage is set (has been assigned a value) and false otherwise

#### setDisplayMessageIsSet

    public void setDisplayMessageIsSet​(boolean value)

#### getDiagnosticInfo

    public String getDiagnosticInfo()

#### setDiagnosticInfo

    public TGetOperationStatusResp setDiagnosticInfo​(String diagnosticInfo)

#### unsetDiagnosticInfo

    public void unsetDiagnosticInfo()

#### isSetDiagnosticInfo

    public boolean isSetDiagnosticInfo()

Returns true if field diagnosticInfo is set (has been assigned a value) and false otherwise

#### setDiagnosticInfoIsSet

    public void setDiagnosticInfoIsSet​(boolean value)

#### getErrorDetailsJson

    public String getErrorDetailsJson()

#### setErrorDetailsJson

    public TGetOperationStatusResp setErrorDetailsJson​(String errorDetailsJson)

#### unsetErrorDetailsJson

    public void unsetErrorDetailsJson()

#### isSetErrorDetailsJson

    public boolean isSetErrorDetailsJson()

Returns true if field errorDetailsJson is set (has been assigned a value) and false otherwise

#### setErrorDetailsJsonIsSet

    public void setErrorDetailsJsonIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TGetOperationStatusResp._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TGetOperationStatusResp,​TGetOperationStatusResp._Fields>`

#### getFieldValue

    public Object getFieldValue​(TGetOperationStatusResp._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TGetOperationStatusResp,​TGetOperationStatusResp._Fields>`

#### isSet

    public boolean isSet​(TGetOperationStatusResp._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TGetOperationStatusResp,​TGetOperationStatusResp._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TGetOperationStatusResp that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TGetOperationStatusResp other)

Specified by:
  `compareTo` in interface `Comparable<TGetOperationStatusResp>`

#### fieldForId

    public TGetOperationStatusResp._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TGetOperationStatusResp,​TGetOperationStatusResp._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`